Bug 1292211 - (CVE-2015-8556) CVE-2015-8556 Qemu: virtfs: local privilege escalation via virtfs-proxy-helper
CVE-2015-8556 Qemu: virtfs: local privilege escalation via virtfs-proxy-helper
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Red Hat Product Security
impact=important,public=20151214,repo...
: Security
Depends On:
Blocks: 1291751
  Show dependency treegraph
 
Reported: 2015-12-16 13:17 EST by Prasad J Pandit
Modified: 2017-10-18 14:52 EDT (History)
39 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
A Time of Creation To Time of Usage (TOCTTOU) flaw was discovered in the QEMU emulator built with VirtFS(file system pass-through) support to share folders between host and guest. The flaw occurs if the 'virtfs-proxy-helper' program is installed with SUID permissions or has 'CAP_CHOWN' capability. An unprivileged, local attacker could exploit this flaw to potentially escalate their privileges and gain root access to the system.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Prasad J Pandit 2015-12-16 13:17:22 EST
Qmeu emulator built with the VirtFS(file system pass-through) support to share
folders between host and guest is vulnerable to a Time of Creation To Time of
Usage(TOCTTOU) issue. This occurs if the 'virtfs-proxy-helper' program is
installed with SUID permissions OR has 'CAP_CHOWN' capability.

An unprivileged user could use this flaw to potentially escalate their privileges to gain root access on the system.

References:
-----------
  -> http://wiki.qemu.org/Documentation/9psetup
  -> http://www.openwall.com/lists/oss-security/2015/12/14/5
  -> https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=183dd7394703b49c7af441a
Comment 1 Prasad J Pandit 2015-12-16 13:19:11 EST
Statement: 

This issue does not affect the versions of the kvm and xen packages as shipped with Red Hat Enterprise Linux 5.

This issue does not affect the versions of the qemu-kvm packages as shipped with Red Hat Enterprise Linux 6, and the Red Hat Enterprise Linux 6 based versions of qemu-kvm-rhev packages as shipped with Red Hat Enterprise Virtualization 3.

This issue does not affect the versions of the qemu-kvm packages as shipped with Red Hat Enterprise Linux 7.

This issue does not affect the Red Hat Enterprise Linux 7 based versions of the qemu-kvm-rhev packages as shipped with Red Hat Enterprise Virtualization 3.

Note You need to log in before you can comment on or make changes to this bug.